Bug 8474 - pdf with transparency doesn't render correctly
Summary: pdf with transparency doesn't render correctly
Status: RESOLVED FIXED
Alias: None
Product: poppler
Classification: Unclassified
Component: cairo backend (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: high normal
Assignee: poppler-bugs
QA Contact:
URL: http://files.hboeck.de/plakat_lug.pdf
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-01 14:15 UTC by Hanno Böck
Modified: 2009-11-18 01:58 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
wrong displayed pdf file (230.07 KB, application/pdf)
2007-12-06 14:27 UTC, Hanno Böck
Details
transparency via alpha-channel (works) (519.67 KB, application/pdf)
2009-08-12 15:46 UTC, robert spitzenpfeil
Details
transparency via inkscape "opacity" (521.29 KB, application/pdf)
2009-08-12 15:47 UTC, robert spitzenpfeil
Details
reference screenshot (40.95 KB, image/jpeg)
2009-08-12 15:47 UTC, robert spitzenpfeil
Details
Patch that fixes the problem in cairo backend (996 bytes, patch)
2009-11-17 10:32 UTC, Carlos Garcia Campos
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Hanno Böck 2006-10-01 14:15:40 UTC
Look at it here:
http://www.schokokeks.org/~hanno/plakat_lug.pdf
created out of
http://www.schokokeks.org/~hanno/plakat_lug.sla

How it was created: Inserted an svg with transparency (on the shadow) into 
scribus, created a pdf with default options. Both kpdf and evince show the 
shadow just black, adobe reader shows correctly.
Comment 1 Jeff Muizelaar 2007-09-20 15:16:34 UTC
The url is no longer valid.
Comment 2 Hanno Böck 2007-09-20 16:25:47 UTC
But still persists:
http://files.hboeck.de/plakat_lug.pdf
Comment 3 Brad Hards 2007-11-30 19:46:03 UTC
The reference document is 404 again.

Hanno: can you test with a recent version of poppler (ideally poppler HEAD) to see if this is still a problem? Also, can you add the document as an attachment to this bug?
Comment 4 Hanno Böck 2007-12-06 14:27:20 UTC
Created attachment 12982 [details]
wrong displayed pdf file
Comment 5 Hanno Böck 2007-12-06 14:28:06 UTC
It's still displayed wrong, although it looks a bit different than before.
Comment 6 Brad Hards 2007-12-25 01:42:37 UTC
Using poppler head, this looks OK, except that there is something wrong with the graduated area under the feet of Tux, with a set of concentric lines through the graduation.

So I think we are doing the graduation about right, except for those graduated lines. Hanno: does this match your understanding of the problem?

I'm not sure why the graduated lines are there though. Perhaps some kind of overflow/underflow in the calculations?
Comment 7 robert spitzenpfeil 2009-08-12 15:45:33 UTC
Hi, it seems I'm having this problem too.

openSUSE 11.1 with kde4.3 (okular)


I created an image with Inkscape that includes pixel data and vector objects.
Making a vector object semi transparent using the "opacity" option of inkscape
creates trouble, using the alpha-channel to do so works.

All of the created pdf documents display just fine using:

- evince
- adobe acrobat reader


opacity creates transparency for the whole vector object including filling and
the lines.

going the alpha-channel way allows for individual control of transparency for
filling and the lines.

in the reference image for opacity also the black outline of the green object
is somewhat transparent (looks gray). in the alpha-channel image only the green
filling is transparent, the green outline has RGBA data of (0,255,0,1) and is
therefore fully saturated / not transparent. The filling has something like
(0,255,0,0.5) and is therefore semitransparent.

All the other parts of the image are just pixel-data and were imported to
inkscape as a png screenshot.

(attachments comming right up)
Comment 8 robert spitzenpfeil 2009-08-12 15:46:37 UTC
Created attachment 28571 [details]
transparency via alpha-channel (works)
Comment 9 robert spitzenpfeil 2009-08-12 15:47:06 UTC
Created attachment 28572 [details]
transparency via inkscape "opacity"
Comment 10 robert spitzenpfeil 2009-08-12 15:47:24 UTC
Created attachment 28573 [details]
reference screenshot
Comment 11 Carlos Garcia Campos 2009-11-17 10:32:00 UTC
Created attachment 31276 [details] [review]
Patch that fixes the problem in cairo backend

This patch fixes the problem in document attached to comment #4.
Comment 12 Carlos Garcia Campos 2009-11-17 10:35:47 UTC
Documents attached to comments #8 and #9 work perfectly wuith current poppler. Albert, is this an issue in splash? I think this is cairo-only. 
Comment 13 Albert Astals Cid 2009-11-17 10:52:06 UTC
Document from #4 has a very minor issue in splash but can mostly be qualified as "works",  documents #10 and #11 also work (i think)
Comment 14 Carlos Garcia Campos 2009-11-17 10:58:28 UTC
Moving to cairo backend then. 
Comment 15 Carlos Garcia Campos 2009-11-18 01:58:43 UTC
I've just pushed the patch. 


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.